Bug 915202 - X-sandboxes are not resizeable
Summary: X-sandboxes are not resizeable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server
Version: 6.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
: 1006456 (view as bug list)
Depends On:
Blocks: 883516 1100349
TreeView+ depends on / blocked
 
Reported: 2013-02-25 08:38 UTC by Marian Csontos
Modified: 2018-12-03 18:21 UTC (History)
12 users (show)

Fixed In Version: xorg-x11-server-1.13.0-14.el6
Doc Type: Bug Fix
Doc Text:
Cause: Upstream accepted a patch to make Xephyr resizable, but did not enable resizability by default. Consequence: X sandboxes were not resizable after RHEL 6.3. Fix: Change default in the code. Result: X sandboxes are resizable again.
Clone Of:
: 962572 1100349 (view as bug list)
Environment:
Last Closed: 2013-11-21 11:28:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1620 normal SHIPPED_LIVE Low: xorg-x11-server security and bug fix update 2013-11-20 21:54:02 UTC

Description Marian Csontos 2013-02-25 08:38:34 UTC
Description of problem:
Since update to RHEL6.4 GUI sandboxes (`sandbox -X`) are not resizeable.
This used to work perfectly on RHEL6.3.

Version-Release number of selected component (if applicable):
policycoreutils-2.0.83-19.30.el6.x86_64
xorg-x11-server-Xephyr-1.13.0-11.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. sandbox -X firefox
2. try resizing sandbox
  
Actual results:
Sandbox can not be resized

Expected results:
Sandbox can be resized

Comment 2 Daniel Walsh 2013-02-26 21:41:42 UTC
Did the Xephyr Resize patch get removed?

Comment 3 Marian Csontos 2013-02-27 09:06:58 UTC
Short answer is yes, it got. Commit 1dee54d04.

Among other things this really breaks things in tiling window managers.
Also saved firefox sessions from RHEL6.3 are broken: firefox is using larger window than Xephyr.

Would it be possible getting it back in z-stream?

Comment 4 Marian Csontos 2013-02-27 09:26:07 UTC
And the workaround for broken firefox session is to search for /"width":/ and /"height":/ in profile's sessionstore.js (~/.mozilla/firefox/s0m3jVnK.default/sessionstore.js) and hand edit the numbers.

Comment 5 RHEL Program Management 2013-03-03 06:48:47 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 6 Peter Hutterer 2013-05-13 03:52:04 UTC
Patch was removed from RHEL server because it got merged upstream as xorg-server-1.12.99.903-3-g8843aed. However, the upstream patch has two hunks different than the one we used to ship. Specifically, the resize option is now only enabled if win_pre_existing is != None whereas the previous patch had this unconditionally.

Best option here is probably to cherry-pick "ephyr: Add -resizeable option" (xorg-server-1.13.99.902-23-g3aac7a5) and set EphyrWantResize to 1 by default. This should emulate the behaviour of RHEL 6.3.

Comment 7 Daniel Walsh 2013-05-13 16:53:26 UTC
Can we get the same option turned on in Fedora also?

Comment 13 Adam Jackson 2013-07-11 17:45:59 UTC
6024831 build (rhel-6.5-candidate, /rpms/xorg-x11-server:345a60edaa195ad3a44ff9818bbae0e1282e4895) completed successfully

MODIFIED

Comment 15 Michele Baldessari 2013-09-17 08:11:56 UTC
*** Bug 1006456 has been marked as a duplicate of this bug. ***

Comment 17 errata-xmlrpc 2013-11-21 11:28:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1620.html


Note You need to log in before you can comment on or make changes to this bug.